package net.wanji.opt.api;

import com.alibaba.fastjson.JSON;

/**
 * 统一API响应结果封装
 */
public class ResponseResult {
    private int status;
    private String message;
    private Object content;
    private Integer code;

    public ResponseResult setCode(ResultCode resultCode) {
        this.status = resultCode.status;
        return this;
    }
 
    

    public Object getContent() {
        return content;
    }

    public ResponseResult setContent(Object data) {
        this.content = data;
        return this;
    }

    @Override
    public String toString() { 
        return JSON.toJSONString(this);
    }


	public int getStatus() {
		return status;
	}


	public ResponseResult setStatus(int status) {
		this.status = status;
		return this;
	}



	public String getMessage() {
		return message;
	}



	public ResponseResult setMessage(String msg) {
		this.message = msg;
		return this;
	}
}
