package net.wanji.opt.api;

/**
 * 响应结果生成工具
 */
public class ResultGenerator {
    private static final String DEFAULT_SUCCESS_MESSAGE = "success";

    public static ResponseResult genSuccessResult() {
        return new ResponseResult()
                .setCode(ResultCode.SUCCESS)
                .setMessage(DEFAULT_SUCCESS_MESSAGE);
    }

    public static ResponseResult genSuccessResult(Object data) {
        return new ResponseResult()
                .setCode(ResultCode.SUCCESS)
                .setMessage(DEFAULT_SUCCESS_MESSAGE)
                .setContent(data);
    }

    public static ResponseResult genFailResult(String message) {
        return new ResponseResult()
                .setCode(ResultCode.FAIL)
                .setMessage(message);
    }
}
