package net.wanji.opt.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

/**
 * @author duanruiming
 * @date 2024/12/03 19:14
 * @description
 */
@Getter
@AllArgsConstructor
public enum CrossTypeEnum {
    //
    T_INTERSECTION(1, "丁字口"),
    CROSS_INTERSECTION(2, "十字口"),
    ROUNDABOUT(3, "环岛"),
    IRREGULAR_INTERSECTION(4, "畸形口"),
    OVERPASS(5, "立体交叉口"),
    RAILWAY_CROSSING(6, "铁路道口"),
    OTHER(7, "其他");


    private Integer code;
    private String description;
    public static String getDesc(Integer dir) {
        for (CrossTypeEnum dirEnum : CrossTypeEnum.values()) {
            if (Objects.equals(dir, dirEnum.getCode())) {
                return dirEnum.getDescription();
            }
        }
        return OTHER.description;
    }

}
