package net.wanji.opt.dao.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import net.wanji.opt.dto.induce.MessageParam;
import net.wanji.opt.dto.report.StrategyGreenOptHistDTO;
import net.wanji.opt.po.StrategyGreenOptHistEntity;
import net.wanji.opt.vo2.dto.GreenLastOptResultDTO;

import java.util.List;

/**
 * @author duanruiming
 * @date 2024/11/19 18:02
 * @description 神思推送绿波时序图信息
 */
public interface StrategyGreenOptHistMapper extends BaseMapper<StrategyGreenOptHistEntity> {

    List<StrategyGreenOptHistEntity> selectByGreenId(String greenId);

    List<MessageParam> selectGreenOptEndTimeEquipCode();

    List<GreenLastOptResultDTO> selectLastGreenOptResultList();

    List<StrategyGreenOptHistDTO> findGreenWaveOptHist();
}
