package net.wanji.opt.dao.mapper.judgeanalysis;

import net.wanji.opt.entity.judgeanalysis.AnalysisGreenCongestionPeriod;
import net.wanji.opt.entity.judgeanalysis.laneDataHist;
import net.wanji.opt.vo2.report.AnalysisGreenCongestionPeriodVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface AnalysisGreenCongestionPeriodMapper {
    List<AnalysisGreenCongestionPeriod> selectGreenDataHist(@Param("date") String date);
    void insertGreenCongestionPeriodData(Map<String, Object> map);
    List<laneDataHist> selectGreenTrafficHist(@Param("date") String date);
    List<laneDataHist> selectGreenTrafficThreshold(@Param("date") String date,@Param("greenId") String greenId,@Param("roadDirection") String roadDirection);
    List<laneDataHist> selectCrossFlow(@Param("date") String date,@Param("crossId") String crossId,@Param("startTime") String startTime,@Param("endTime") String endTime);
    void insertLaneDataHist(Map<String, Object> map);
    List<laneDataHist> selectPeakDetail(@Param("date") String date);
    List<laneDataHist> selectCrossTrafficHist(@Param("date") String date);
    List<laneDataHist> selectCrossTrafficThreshold(@Param("date") String date,@Param("crossId") String crossId);
    List<laneDataHist> selectCrossDataHistFlow(@Param("date") String date,@Param("crossId") String crossId);
    void insertCrossDataHist(Map<String, Object> map);
    List<laneDataHist> selectCrossPeakDetail(@Param("date") String date);
    List<laneDataHist> selectCrossMAXPeakDetail(@Param("date") String date);
    void updateCrossMAXPeakDetail(Map<String, Object> map);
    void insertCrossDataHistByDay(Map<String, Object> map);
    List<AnalysisGreenCongestionPeriodVO> selectListByWeek(@Param("yearWeek") Integer yearWeek);
}
