package net.wanji.opt.dao.mapper.judgeanalysis;

import net.wanji.opt.entity.judgeanalysis.AnalysisProblemGreenHour;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

public interface AnalysisProblemGreenHourMapper extends BaseMapper<AnalysisProblemGreenHour>{
	
	 /**
	  *  查询表t_analysis_problem_green_hour所有信息
	  */
	 List<AnalysisProblemGreenHour> findAllAnalysisProblemGreenHour();
	  
	 /**
	  *  根据主键eventType查询表t_analysis_problem_green_hour信息
	  *  @param eventType
	  */
	 AnalysisProblemGreenHour findAnalysisProblemGreenHourByeventType(@Param("eventType") String eventType);

	/**
	*  根据条件查询表t_analysis_problem_green_hour信息
	*  @param analysisProblemGreenHour
	*/
	List<AnalysisProblemGreenHour> findAnalysisProblemGreenHourByCondition(AnalysisProblemGreenHour analysisProblemGreenHour);

	 /**
	  *  根据主键eventType查询表t_analysis_problem_green_hour信息
	  *  @param eventType
	  */
	 Integer deleteAnalysisProblemGreenHourByeventType(@Param("eventType") String eventType);
	
	 /**
	  *  根据主键eventType更新表t_analysis_problem_green_hour信息
	  *  @param analysisProblemGreenHour
	  */
	 Integer updateAnalysisProblemGreenHourByeventType(AnalysisProblemGreenHour analysisProblemGreenHour);
	
	 /**
	  *  新增表t_analysis_problem_green_hour信息
	  *  @param analysisProblemGreenHour
	  */
	 Integer addAnalysisProblemGreenHour(AnalysisProblemGreenHour analysisProblemGreenHour);

	List<AnalysisProblemGreenHour> directionGreenByProblemTrend(Map<String, Object> map);

	List<AnalysisProblemGreenHour> detailGreenByProblemTrend(Map<String, Object> map);

	List<AnalysisProblemGreenHour> detailGreenByCrossProblem(Map<String, Object> map);

    List<AnalysisProblemGreenHour> detailGreenByRoadLineProblem(Map<String, Object> map);
}

