package net.wanji.opt.dao.mapper.report;

import net.wanji.opt.entity.report.AnalysisGreenWavePeakDetail;

import java.util.Date;
import java.util.List;
import java.util.Map;

import net.wanji.opt.vo2.report.GreenCongestTimeSpanVO;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Param;
import net.wanji.common.framework.mapper.BaseInterfaceMapper;

/**
* <p>
    * 
    * </p>
*
* @Author fengyi
* @Date 2025-04-07
*/
public interface AnalysisGreenWavePeakDetailMapper  extends BaseInterfaceMapper<AnalysisGreenWavePeakDetail> {

	List<GreenCongestTimeSpanVO> findCongestTimeSpanInPeakTime(@Param("yearWeek") Integer yearWeek,
															   @Param("greenId") Integer greenId,
															   @Param("peakStartTime") Date peakStartTime,
															   @Param("peakEndTime") Date peakEndTime
														   );
}

