package net.wanji.opt.dao.mapper.report;

import net.wanji.opt.entity.report.AnalysisGreenWaveOptimizeWeek;
import net.wanji.opt.entity.report.AnalysisReportCrossOptimizeDetail;
import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

public interface AnalysisReportCrossOptimizeDetailMapper extends BaseMapper<AnalysisReportCrossOptimizeDetail>{
	
	 /**
	  *  查询表t_analysis_report_cross_optimize_detail所有信息
	  */
	 List<AnalysisReportCrossOptimizeDetail> findAllAnalysisReportCrossOptimizeDetail();
	  
	 /**
	  *  根据主键crossId查询表t_analysis_report_cross_optimize_detail信息
	  *  @param crossId
	  */
	 AnalysisReportCrossOptimizeDetail findAnalysisReportCrossOptimizeDetailBycrossId(@Param("crossId") String crossId);

	/**
	*  根据条件查询表t_analysis_report_cross_optimize_detail信息
	*  @param analysisReportCrossOptimizeDetail
	*/
	List<AnalysisReportCrossOptimizeDetail> findAnalysisReportCrossOptimizeDetailByCondition(AnalysisReportCrossOptimizeDetail analysisReportCrossOptimizeDetail);

	 /**
	  *  根据主键crossId查询表t_analysis_report_cross_optimize_detail信息
	  *  @param crossId
	  */
	 Integer deleteAnalysisReportCrossOptimizeDetailBycrossId(@Param("crossId") String crossId);
	
	 /**
	  *  根据主键crossId更新表t_analysis_report_cross_optimize_detail信息
	  *  @param analysisReportCrossOptimizeDetail
	  */
	 Integer updateAnalysisReportCrossOptimizeDetailBycrossId(AnalysisReportCrossOptimizeDetail analysisReportCrossOptimizeDetail);
	
	 /**
	  *  新增表t_analysis_report_cross_optimize_detail信息
	  *  @param analysisReportCrossOptimizeDetail
	  */
	 Integer addAnalysisReportCrossOptimizeDetail(AnalysisReportCrossOptimizeDetail analysisReportCrossOptimizeDetail);

	/**
	 * 批量插入
	 * @param list
	 */
	void insertBatch(List<AnalysisReportCrossOptimizeDetail> list);
}

