package net.wanji.opt.dto;

import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @author duanruiming
 * @date 2025/04/08 14:24
 */
@Data
public class GreenBeltChartDTO {
    private Integer greenId;
    private Integer dir;
    private Integer backDir;
    private Double speed;
    private Double backSpeed;
    private List<Double> offsets;
    private List<Double> backOffsets;
    private List<Double> distances;
    private List<Double> backDistances;
    private Map<String, List<List<Double>>> crossRedTimesMap;
    private Map<String, List<List<Double>>> backCrossRedTimesMap;
    private Map<String, List<List<Double>>> crossGreenTimesMap;
    private Map<String, List<List<Double>>> backCrossGreenTimesMap;
    private List<Map<String, List<List<Double>>>> greenwaveStartGroup;
    private List<Map<String, List<List<Double>>>> backGreenwaveStartGroup;
}
