package net.wanji.opt.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * @author duanruiming
 * @date 2025/04/10 11:28
 */
@Data
@TableName("t_green_chart_scheme_hist")
public class GreenChartSchemeHist {
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @TableField("green_id")
    private Integer greenId;

    @TableField("green_chart")
    private String greenChart;

    @TableField("scheme_detail")
    private String schemeDetail;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @TableField("query_date")
    private Date queryDate;

    @TableField("from_scheme")
    private Integer fromScheme;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @TableField("create_time")
    private Date createTime;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @TableField("modify_time")
    private Date modifyTime;
}
