package net.wanji.opt.entity.judgeanalysis;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

@Data
@EqualsAndHashCode(callSuper=false)
@TableName("t_analysis_cross_overflow_reason")
public class AnalysisCrossHourOverFlowTask {

    private static final long serialVersionUID = 1L;

    // 路口ID
    private String crossId;

    // 主要溢出方向
    private int overflowDir;

    // 出口道总流量
    private Integer outFlowSum;

    // 平均流量/5min
    private Integer outFlowAvg;

    // 出口道方向下一个路口进口车道数量
    private Integer nextCrossLaneNum;

    // 下个路口通行能力
    private Integer nextCrossCapacity;

    // 到下一个路口之间间距，单位米
    private Integer lengthToNextCross;

    // 主要溢出时段开始时间
    private String overflowStartTime;

    // 主要溢出时段截止时间
    private String overflowEndTime;

    // 主要溢出时段内溢出事件数量
    private Integer overflowNum;

    // 日期，格式yyyyMMdd
    private int dt;

    // 数据插入时间
    private Date insertTime;
}
