package net.wanji.opt.entity.strategy;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.baomidou.mybatisplus.annotation.TableName;

@Data
@EqualsAndHashCode(callSuper=false)
@TableName("t_strategy_priority_config")
public class StrategyPriorityConfig implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 自增主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 分组编号
     */
    private Integer groupId;

    /**
     * 分组名称
     */
    private String groupName;

    /**
     * 优先级
     */
    private Integer priority;

    /**
     * 策略编号
     */
    private String strategyNo;

    /**
     * 路口编号
     */
    private String crossId;

    /**
     * 路口所属绿波带编号
     */
    private Integer greenId;

    /**
     * 区分1：路口，2干线
     */
    private Integer type;

}
