package net.wanji.opt.servicev2;

import com.github.pagehelper.PageInfo;
import net.wanji.databus.vo.LightsStatusVO2;
import net.wanji.opt.dto.GreenBeltChartDTO;
import net.wanji.opt.vo2.*;

import java.util.List;

/**
 * @author duanruiming
 * @date 2025/03/06 18:37
 */
public interface TrendServiceV2 {

    List<CrossGreenStatusTimeRateVO> crossGreenStatusTimeRate();

    List<CrossOptInfoVO> crossOptInfoList() throws Exception;

    List<GreenOptInfoVO> greenOptInfoList() throws Exception;

    List<OptMonitoringVO> greenOptMonitoringList() throws Exception;

    List<OptMonitoringVO> crossOptMonitoringList() throws Exception;

    List<OptMonitoringVO> eventAlarmRealTimeList() throws Exception;

    List<StatisticsEventTypeCountTimeVO> selectGreenEventTypeCountTimeList(EventTypeCountTimeVO vo) throws Exception;

    List<StatisticsEventTypeCountTimeVO> selectCrossEventTypeCountTimeList(EventTypeCountTimeVO vo) throws Exception;

    PageInfo<StatisticsEventTypeCountTimeVO> selectCrossGreenHistList(int pageNo, int pageSize) throws Exception;

    OptStrategyResultInfoVO optStrategyResultInfo(String id, String date) throws Exception;

    GreenOptCrossOffsetVO optStrategyCrossOffsetList(Integer id, String date) throws Exception;

    LightsStatusVO2 selectLightStatusHist(String id, String date) throws Exception;

    GreenBeltChartDTO green4SchemeChart(Integer id, String date) throws Exception;
}