package net.wanji.opt.servicev2.evaluation;

import net.wanji.opt.entity.evaluation.EventInfo;
import net.wanji.common.framework.dubbointerface.BaseDubboInterface;

import java.util.List;
import java.util.Map;


/**
 * <p>
 * 交通事件信息
 * </p>
 *
 * @Author wangtao
 * @Date 2025-03-18
 */
public interface EventInfoService extends BaseDubboInterface<EventInfo> {

    List<Map<String,Object>> getListByStartAndEnd(Map<String, Object> map);

    /**
     * 路口缓行事件计算
     * @param startTime
     * @param endTime
     */
    void  insertCrossSlowRunEventData(String startTime, String endTime);
}
