package net.wanji.opt.servicev2.judgeanalysis;

import net.wanji.opt.entity.judgeanalysis.AiOptimizeStatistic;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;
import java.util.Map;

/**
* <p>
* AI优化时长 服务类
* </p>
*
* @author fengyi
* @since 2025-03-24
*/
public interface AiOptimizeStatisticService extends IService<AiOptimizeStatistic> {

    /**
    * AI优化时长详情
    * @param id
    * @return
    */
    AiOptimizeStatistic info(Long id);

    /**
    * AI优化时长新增
    * @param param 根据需要进行传值
    * @return
    */
    void add(AiOptimizeStatistic param);

    /**
    * AI优化时长修改
    * @param param 根据需要进行传值
    * @return
    */
    void modify(AiOptimizeStatistic param);

    /**
    * AI优化时长删除(单个条目)
    * @param id
    * @return
    */
    void remove(Long id);

    /**
    * 删除(多个条目)
    * @param ids
    * @return
    */
    void removes(List<Long> ids);

    Map<String, Object> greenOptimizeByTimeTrend(String greenId, Integer startTime, Integer endTime);
}
