package net.wanji.opt.servicev2.judgeanalysis;


import net.wanji.opt.vo2.report.GreenReportProblemDetailAnalysisResult;
import net.wanji.opt.vo2.report.GreenReportProblemOverallAnalysisResult;

import java.text.ParseException;
import java.util.List;

public interface AnalysisGreenCongestionPeriodService {
    public void selectCountByCongestionPeriod() throws ParseException;
    public void selectCountByLandData() throws ParseException;
    public void selectCountByCrossData() throws ParseException;
    public void selectCountByCrossDataOneDay() throws ParseException;
    GreenReportProblemOverallAnalysisResult selectListByWeek(Integer year, Integer week, String ids);

    List<GreenReportProblemDetailAnalysisResult> getProblemDetail(Integer year, Integer week, String ids);
}
