package net.wanji.opt.servicev2.report;

import com.alibaba.fastjson.JSONObject;
import net.wanji.databus.dao.entity.GreenwaveInfoPO;
import net.wanji.databus.po.BaseAreaInfoPO;

import java.util.List;


/**
 * <p>
 * 区域基础信息
 * </p>
 *
 * @Author wangtao
 * @Date 2025-03-18
 */
public interface BaseAreaInfoService   {
    List<BaseAreaInfoPO> selectByType(String types );

    JSONObject getGreenByWkt(Integer areaId, String wkt, Integer type);

    void insertAreaInfo(BaseAreaInfoPO baseAreaInfoPO);


    void updateAreaNameAndRemark(String name, String remark, Integer id, String roadName,
                                 Integer parentCode, String wkt);

    void deleteById(Integer areaId);
}
