package net.wanji.opt.synthesis.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import net.wanji.common.utils.tool.DateUtil;

import java.util.Date;

/**
 * @author duanruiming
 * @date 2024/12/01 14:12
 */
@Data
@TableName("t_strategy_cross_result")
public class StrategyCrossResultEntity {
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    @TableField("cross_id")
    private String crossId;
    @TableField("cross_name")
    private String crossName;
    @TableField("current_algo")
    private Integer currentAlgo;
    @TableField("request_time")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date requestTime;
    @TableField("issue_time")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date issueTime;
    @TableField("response_code")
    private Integer responseCode;
    @TableField("response_content")
    private String responseContent;
    @TableField("timing_plan")
    private String timingPlan;
    @TableField("insert_time")
    private String insertTime;
    @TableField("rtn_type")
    private Integer rtnType;
    @TableField("extend_time")
    private Integer extendTime;
    @TableField("block_region")
    private Integer blockRegion;
    @TableField("block_type")
    private Integer blockType;
    @TableField("count_down")
    private Integer countDown;
    @TableField("video_stamp")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private String videoStamp;
    @TableField("signal_machine_stamp")
    private Long signalMachineStamp;
    @TableField("control_dir")
    private String controlDir;
    @TableField("data")
    private String data;
    @TableField("duration")
    private Integer duration;
    @TableField("empty_turn")
    private Integer emptyTurn;
    @TableField("empty_dir")
    private String empty_dir;
    @TableField("dt")
    private Integer dt;

    @TableField("event_id")
    private String eventId;
}
