package net.wanji.opt.vo2;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.opt.synthesis.pojo.CrossDirectionInfoEntity;
import net.wanji.opt.synthesis.pojo.CrossLaneInfoEntity;
import net.wanji.opt.synthesis.pojo.CrossTurnInfoEntity;

import java.util.List;

@Data
@ApiModel(value = "CrossBaseInfoVO", description = "路口基础信息-方向 转向 车道")
public class CrossBaseInfoVO {
    @ApiModelProperty(value = "路口编号")
    private String crossID;
    @ApiModelProperty(value = "方向信息")
    private List<CrossDirectionInfoEntity> directionInfo;
    @ApiModelProperty(value = "转向信息")
    private List<CrossTurnInfoEntity> turnInfo;
    @ApiModelProperty(value = "车道信息")
    private List<CrossLaneInfoEntity> laneInfo;
}
