package net.wanji.opt.vo2;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author duanruiming
 * @date 2025/03/13 17:07
 */
@Data
@ApiModel(value = "EventTypeCountTimeVO", description = "态势监测-区域体检-雷达图路口事件请求")
public class EventTypeCountTimeVO {
    @ApiModelProperty(value = "事件类型")
    private String type;
    @ApiModelProperty(value = "日期")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime date;
}
