package net.wanji.opt.vo2;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.List;

/**
 * @author duanruiming
 * @date 2025/03/13 14:26
 */
@Data
@ApiModel(value = "OptMonitoringVO", description = "态势监测-运行监测-优化监测返回实体")
public class OptMonitoringResultVO {
    private List<TypeCount> typeCount;
    private List<OptMonitoringVO> optMonitoringVOList;
    @Data
    public static class TypeCount{
        private String type;
        private Integer eventCount;
        private Integer optCount;
    }
}
