package net.wanji.opt.vo2.dto;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.Date;

/**
 * @author duanruiming
 * @date 2025/03/12 15:56
 */
@Data
@ApiModel(value = "CrossLastOptResultDTO", description = "路口优化记录表最新的优化记录信息")
public class CrossLastOptResultDTO {
    private String id;
    private String name;
    private Date optTime;
    private String type;
    private Integer responseCode;
    private Integer duration;
    private String eventId;
}
