package net.wanji.opt.vo2.dto;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.Date;

/**
 * @author duanruiming
 * @date 2025/03/12 17:13
 */
@Data
@ApiModel(value = "GreenLastOptResultDTO", description = "绿波干线优化记录表最新的优化记录信息")
public class GreenLastOptResultDTO {
    private Integer greenId;
    private Date optTime;
    private Integer duration;
    private Integer responseCode;
    private Integer controlMethod;
}
