package net.wanji.opt.vo2.report;

import lombok.Data;

@Data
public class CrossPeakAnalysis {

    // 路口 ID
    private String crossId;
    // 类型：1工作日 2节假日
    private Integer dayType;
    // 高峰类型 1早高峰 2晚高峰 3平峰
    private Integer peakType;

    // 日总流量平均值
    private Integer dayTotalFlow;

    // 日最大小时流量平均值
    private Integer dayMaxHourFlow;

    // 高峰期最大小时流量平均值
    private Integer peakMaxHourFlow;

    // 高峰期交通指数平均值
    private Double peakTrafficIndex;

    // 高峰期通行能力平均值
    private Integer peakCapacity;

    // 高峰期平均延误时间平均值
    private Double peakAvgDelayTime;

    // 高峰期最大排队长度平均值
    private Integer peakMaxQueueLength;

    // 高峰期平均停车次数平均值
    private Integer peakAvgStopTimes;

}