package net.wanji.opt.vo2.report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(value = "CrossRidLaneVO", description = "车道基础信息")
public class CrossRidLaneVO {

    @ApiModelProperty(value = "车道名称" )
    private String laneName;
    @ApiModelProperty(value = "车道走向" )
    private String laneDir;
    @ApiModelProperty(value = "车道数" )
    private Integer laneNum;
    @ApiModelProperty(value = "车道方向数量" )
    private List<LaneDirNumVO> laneDirList;

}
