package net.wanji.opt.vo2.report;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class GreenReportSamePeriodCompareData {

    @ApiModelProperty(value = "路口ID", example = "")
    private String greenId;

    @ApiModelProperty(value = "干线名称", example = "")
    private String greenName;

    @ApiModelProperty(value = "早高峰流量情况", example = "减少")
    private String amPeakSituation;

    @ApiModelProperty(value = "晚高峰流量情况", example = "减少")
    private String pmPeakSituation;

    @ApiModelProperty(value = "行程时间同比情况", example = "增加20s")
    private String amTravelTimeSituation;

    @ApiModelProperty(value = "行程时间同比情况", example = "减少20s")
    private String pmTravelTimeSituation;


    private List<GreenReportSamePeriodData> dataList = new ArrayList<>();

}