package net.wanji.opt.vo2.report;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class GreenWaveDirProblemDataVO {
    @ApiModelProperty(value = "干线类型", example = "主干路")
    private String greenWaveType;

    @ApiModelProperty(value = "方向", example = "东向西")
    private String dir;

    @ApiModelProperty(value = "拥堵指数", example = "4.5")
    private Double congestIndex;

    @ApiModelProperty(value = "拥堵次数", example = "10")
    private Integer congestCount;

    @ApiModelProperty(value = "拥堵时长，单位秒", example = "10")
    private Integer congestDuration;

}