package net.wanji.opt.vo2.report;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class GreenWaveOptimizeAnalysisDataDTO {
    @ApiModelProperty(value = "干线Id",example = "1")
    private   Integer greenId ;

    @ApiModelProperty(value = "优化次数",example = "8900")
    private   Integer optimizeCount ;

    @ApiModelProperty(value = "优化时长",example = "8900")
    private   Integer optimizeDuration ;

    @ApiModelProperty(value = "通行能力",example = "8900")
    private   Integer capacity ;

    @ApiModelProperty(value = "停车次数",example = "5")
    private   Double stopTimes ;

    @ApiModelProperty(value = "延误时间，单位秒",example = "40")
    private   Double delayTime ;

    @ApiModelProperty(value = "行程时间，单位秒",example = "6.9")
    private   Integer travelTime ;

    @ApiModelProperty(value = "平均速度",example = "39")
    private   Double avgSpeed ;

    @ApiModelProperty(value = "上周通行能力",example = "8900")
    private   Integer lastCapacity ;

    @ApiModelProperty(value = "上周停车次数",example = "5")
    private   Double lastStopTimes ;

    @ApiModelProperty(value = "上周延误时间，单位秒",example = "40")
    private   Double lastDelayTime ;

    @ApiModelProperty(value = "上周行程时间，单位秒",example = "6.9")
    private   Integer lastTravelTime ;

    @ApiModelProperty(value = "上周平均速度",example = "39")
    private   Double lastAvgSpeed ;

}