package net.wanji.opt.vo2.report;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class GreenWaveOptimizeAnalysisDataVO {
    @ApiModelProperty(value = "通行能力",example = "8900")
    private   Integer capacity ;


    @ApiModelProperty(value = "停车次数",example = "5")
    private   Double stopTimes ;

    @ApiModelProperty(value = "延误时间，单位秒",example = "40")
    private   Double delayTime ;

    @ApiModelProperty(value = "行程时间，单位秒",example = "6.9")
    private   Integer travelTime ;

    @ApiModelProperty(value = "平均速度",example = "39")
    private   Double avgSpeed ;

}