package net.wanji.opt.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

/**
 * @author duanruiming
 * @date 2024/12/11 20:33
 */
@Getter
@AllArgsConstructor
public enum ConsgestionStatusEnum {
    AMBLE_STATUS(2, "缓行"),
    CONSGESTION_STATUS(3, "拥堵");
    private Integer code;
    private String desc;

    public static String getDesc(Integer code) {
        for (ConsgestionStatusEnum value : ConsgestionStatusEnum.values()) {
            if (Objects.equals(code, value.getCode())) {
                return value.getDesc();
            }
        }
        return ConsgestionStatusEnum.AMBLE_STATUS.getDesc();
    }
}
