package net.wanji.opt.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;
import net.wanji.common.utils.tool.StringUtils;

import java.util.Objects;

/**
 * @author duanruiming
 * @date 2024/12/03 19:14
 * @description
 */
@Getter
@AllArgsConstructor
public enum CrossDirEnum {
    //
    NORTH(1, "北"),
    NORTH_EAST(2, "东北"),
    EAST(3, "东"),
    SOUTH_EAST(4, "东南"),
    SOUTH(5, "南"),
    SOUTH_WEST(6,"西南"),
    WEST(7,"西"),
    NORTH_WEST( 8,"西北");


    private Integer dir;
    private String dirName;
    public static String getDesc(Integer dir) {
        for (CrossDirEnum dirEnum : CrossDirEnum.values()) {
            if (Objects.equals(dir, dirEnum.getDir())) {
                return dirEnum.getDirName();
            }
        }
        return "";
    }

}
