package net.wanji.opt.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

/**
 * @author duanruiming
 * @date 2024/12/10 17:27
 */
@Getter
@AllArgsConstructor
public enum PeakNameEnum {
    MORNING_PEAK(1, "早高峰"),
    EVENING_PEAK(2, "晚高峰"),
    ALL_DAY(3, "全天");
    private Integer code;
    private String desc;

    public static String getDesc(Integer code) {
        for (PeakNameEnum value : PeakNameEnum.values()) {
            if (Objects.equals(code, value.getCode())) {
                return value.desc;
            }
        }
        return "";
    }
}
