//package net.wanji.opt.config;
//
//import org.springframework.beans.factory.annotation.Value;
//import org.springframework.context.annotation.Bean;
//import org.springframework.context.annotation.Configuration;
//import org.springframework.data.redis.connection.RedisConnectionFactory;
//import org.springframework.data.redis.connection.lettuce.LettuceConnectionFactory;
//import org.springframework.data.redis.core.RedisTemplate;
//import org.springframework.data.redis.serializer.StringRedisSerializer;
//
//@Configuration
//public class RestTemplateConfig {
//
//    @Value("${spring.redis.host}")
//    private String redisHost;
//
//    @Value("${spring.redis.port}")
//    private int redisPort;
//
//    @Value("${spring.redis.database}")
//    private int redisDatabase;
//
//    @Value("${spring.redis.password}")
//    private String redisPassword;
//
//
//    // 默认使用配置的数据库
//    @Bean
//    public RedisConnectionFactory redisConnectionFactory() {
//        LettuceConnectionFactory factory = new LettuceConnectionFactory(redisHost, redisPort);
//        factory.setPassword(redisPassword);
//        factory.setDatabase(redisDatabase);
//        return factory;
//    }
//
//    @Bean(name = "redisTemplate")
//    public RedisTemplate<String, Object> redisTemplate() {
//        RedisTemplate<String, Object> template = new RedisTemplate<>();
//        template.setConnectionFactory(redisConnectionFactory());
//        template.setKeySerializer(new StringRedisSerializer());
//        template.setValueSerializer(new StringRedisSerializer());
//        return template;
//    }
//
//    // 使用7号数据库
//    @Bean(name = "redis7ConnectionFactory")
//    public RedisConnectionFactory redis7ConnectionFactory() {
//        LettuceConnectionFactory factory = new LettuceConnectionFactory(redisHost, redisPort);
//        factory.setPassword(redisPassword);
//        factory.setDatabase(7);
//        return factory;
//    }
//
//    @Bean(name = "redis7Template")
//    public RedisTemplate<String, Object> redis7Template() {
//        RedisTemplate<String, Object> template = new RedisTemplate<>();
//        template.setConnectionFactory(redis7ConnectionFactory());
//        template.setKeySerializer(new StringRedisSerializer());
//        template.setValueSerializer(new StringRedisSerializer());
//        return template;
//    }
//
//}