package net.wanji.opt.constant;

/**
 * @author fengyi
 * @date 2025/4/8
 * @description
 */
public enum PeakEnum {

    AM_PEAK(1, "早高峰"),
    PM_PEAK(2,"晚高峰"),
    PF_PEAK(3,"平峰");

    private Integer code;
    private String name;

    PeakEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    public static PeakEnum getNameByCode(Integer code){
        for (PeakEnum abnormalEnum : PeakEnum.values()) {
            if(abnormalEnum.getCode().equals(code)){
                return abnormalEnum;
            }
        }
        return null;
    }

    public Integer getCode() {
        return code;
    }

    public String getName() {
        return name;
    }
}
