package net.wanji.opt.constant;

/**
 * @author fengyi
 * @date 2025/4/8
 * @description
 */
public enum WeekDayEnum {
 
    MONDAY(1, "周一"),
    TUESDAY(2,"周二"),
    WEDNESDAY(3,"周三"),
    THURSDAY(4,"周四"),
    FRIDAY(5,"周五"),
    SATURDAY(6,"周六"),
    SUNDAY(7,"周日");

    private Integer code;
    private String name;

    WeekDayEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    public static WeekDayEnum getNameByCode(Integer code){
        for (WeekDayEnum abnormalEnum : WeekDayEnum.values()) {
            if(abnormalEnum.getCode().equals(code)){
                return abnormalEnum;
            }
        }
        return null;
    }

    public Integer getCode() {
        return code;
    }

    public String getName() {
        return name;
    }
}
