package net.wanji.opt.dao.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import net.wanji.opt.entity.GreenwaveHist;
import net.wanji.opt.vo2.TrunkLineOptTimeInfoVO;
import net.wanji.opt.vo2.TrunkLineStatusDisInfoVO;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *   监测详情-干线
 * </p>
 *
 * @author zhengyifan
 * @date 2025-3-14
 */
public interface TrunkLineStatusDisMapper extends BaseMapper<GreenwaveHist> {
    /**
     * 监测详情-干线事件-干线交通状态分布趋势
     * @param params
     * @return
     */
    List<TrunkLineStatusDisInfoVO> findStatusDistribution(Map<String, Object> params);
    List<TrunkLineOptTimeInfoVO> findPlanTime(Map<String, Object> params);
}
