package net.wanji.opt.dao.mapper.judgeanalysis;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import net.wanji.opt.entity.judgeanalysis.AnalysisProblemCrossDay;
import net.wanji.opt.entity.judgeanalysis.CrossPoint;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface AnalysisProblemAreaDayMapper extends BaseMapper<AnalysisProblemCrossDay>{

	/***
	 * 根据类型统计对应数量
	 * @param map
	 * @return
	 */
	List<AnalysisProblemCrossDay> selectCountByType(Map<String, Object> map);

	/**
	 * 区域问题趋势接口开发
	 * @param map
	 * @return
	 */
	List<AnalysisProblemCrossDay> selectAreaProblemTrend(Map<String, Object> map);


	/**
	 * 区域路口问题总概览
	 * @param map
	 * @return
	 */
	List<Map<String,Object>> selectCrossAllProblemNums(Map<String, Object> map);


	/**
	 * 区域干线问题总概览
	 * @param map
	 * @return
	 */
	List<Map<String,Object>> selectGreenAllProblemNums(Map<String, Object> map);


}

