package net.wanji.opt.dao.mapper.judgeanalysis;

import net.wanji.opt.entity.judgeanalysis.AnalysisProblemGreenDay;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

public interface AnalysisProblemGreenDayMapper extends BaseMapper<AnalysisProblemGreenDay>{
	
	 /**
	  *  查询表t_analysis_problem_green_day所有信息
	  */
	 List<AnalysisProblemGreenDay> findAllAnalysisProblemGreenDay();
	  
	 /**
	  *  根据主键id查询表t_analysis_problem_green_day信息
	  *  @param id
	  */
	 AnalysisProblemGreenDay findAnalysisProblemGreenDayByid(@Param("id") String id);

	/**
	*  根据条件查询表t_analysis_problem_green_day信息
	*  @param analysisProblemGreenDay
	*/
	List<AnalysisProblemGreenDay> findAnalysisProblemGreenDayByCondition(AnalysisProblemGreenDay analysisProblemGreenDay);

	 /**
	  *  根据主键id查询表t_analysis_problem_green_day信息
	  *  @param id
	  */
	 Integer deleteAnalysisProblemGreenDayByid(@Param("id") String id);
	
	 /**
	  *  根据主键id更新表t_analysis_problem_green_day信息
	  *  @param analysisProblemGreenDay
	  */
	 Integer updateAnalysisProblemGreenDayByid(AnalysisProblemGreenDay analysisProblemGreenDay);
	
	 /**
	  *  新增表t_analysis_problem_green_day信息
	  *  @param analysisProblemGreenDay
	  */
	 Integer addAnalysisProblemGreenDay(AnalysisProblemGreenDay analysisProblemGreenDay);

	/**
	 *  新增表t_analysis_problem_green_day信息
	 *  @param
	 */
	Integer insertAnalysisProblemGreenDay();

	/**
	 *  新增表t_analysis_problem_green_hour信息
	 *  @param
	 */
	Integer insertAnalysisProblemGreenHour();

	/**
	 *  根据条件查询表t_analysis_problem_green_day信息
	 *  @param 
	 */
	List<AnalysisProblemGreenDay> checkData();


    List<AnalysisProblemGreenDay> getListGreenByProblemSum(Map<String, Object> map);

	List<AnalysisProblemGreenDay> getListGreenByProblemTrend(Map<String,Object> map);
}

