package net.wanji.opt.dao.mapper.report;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import net.wanji.databus.dao.entity.GreenwaveHistPO;
import net.wanji.opt.entity.report.ConfigPeakHours;
import net.wanji.opt.entity.report.GreenWaveWeekData;
import net.wanji.opt.servicev2.report.GreenWaveWeekDataService;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface GreenWaveWeekDataMapper extends BaseMapper<GreenWaveWeekData> {
    List<ConfigPeakHours> selectConfigPeakHoursAll();

    List<GreenWaveWeekData> selectGreenWaveWeekData(@Param("startDate") String startDate,@Param("endDate") String endDate);

    Integer getFlow(@Param("greenId") Integer greenId,@Param("dir") Integer dir,@Param("startDate") String startDate,@Param("endDate") String endDate);

    List<GreenWaveWeekData> selectGreenWaveWeekDataByTime(@Param("startDate") String startDate,@Param("endDate") String endDate,@Param("startTime") String startTime,@Param("endTime") String endTime);

    Integer getFlowByTime(@Param("greenId") Integer greenId,@Param("dir") Integer dir,@Param("startDate") String startDate,@Param("endDate") String endDate,@Param("startTime") String startTime,@Param("endTime") String endTime);

    void insertOrUpdateBatch(@Param("list") List<GreenWaveWeekData> greenWaveWeekDataList);

    List<GreenwaveHistPO> selectAllByTime(@Param("greenId") Integer greenId,@Param("roadDirection") String roadDirection,@Param("startDate") String startDate,@Param("endDate") String endDate,@Param("startTime") String startTime,@Param("endTime") String endTime);

    List<GreenWaveWeekData> getDataByWeek(@Param("greenIdList") List<Integer> greenIdList,@Param("yearWeek") Integer yearWeek);
    // MyBatis-Plus 提供了基本的 CRUD 方法，这里无需额外定义
}