package net.wanji.opt.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * @author duanruiming
 * @date 2025/04/01 15:38
 */
@Data
@TableName("t_green_chart_scheme_ring_phase_hist")
public class SchemeGreenDirGreenTimeDTO {
    @TableField(value = "cross_id")
    private String crossId;
    @TableField(value = "scheme_no")
    private Integer schemeNo;
    private Integer offset;
    @TableField(value = "cycle_len")
    private Integer cycleLen;
    @TableField(value = "ring_no")
    private Integer ringNo;
    @TableField(value = "phase_id")
    private Integer phaseId;
    private Integer start;
    private Integer end;
    private Integer dir;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @TableField(value = "query_date")
    private Date date;
    /**
     * 方案来源，默认海信原始方案
     */
    @TableField(value = "from_scheme")
    private Integer fromScheme;
}
