package net.wanji.opt.dto.report;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * @author duanruiming
 * @date 2024/11/19 17:48
 */
@Data
public class StrategyGreenOptHistDTO {

    @TableField("green_id")
    private Integer greenId;

    @TableField("dir")
    private String roadDirection;

    @TableField("length")
    private Double length;

    @TableField("cycle")
    private Integer cycle;

    @TableField("control_time")
    private Date controlTime;


    @TableField("control_duration")
    private Integer controlDuration;

    @TableField("control_method")
    private Integer controlMethod;

    @TableField("type")
    private Integer type;

    @TableField("dynamic")
    private Integer dynamic;

    @TableField("dir_type")
    private Integer dirType;


    @TableField("max_speed")
    private Double maxSpeed;

    @TableField("min_speed")
    private Double minSpeed;

    @TableField("green_width_time")
    private Double greenWidthTime;

    @TableField("cross_green_detail")
    private String crossGreenDetail;

    @TableField("key_cross")
    private String keyCross;

    @TableField("response_code")
    private Integer responseCode;

    @TableField("response_content")
    private String responseContent;

    @TableField("duration")
    private Integer duration;

    @TableField("week_start_day")
    private Date weekStartDay;

    @TableField("week_end_day")
    private Date weekEndDay;

    @TableField("year_week")
    private Integer yearWeek;

    @TableField("week_day")
    private Integer weekDay;

    @TableField("stragety_id")
    private Integer stragetyId;

}
