package net.wanji.opt.dto.trend;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "GreenwaveListDTO", description = "问题子区列表输入参数")
public class GreenwaveListDTO {
    @ApiModelProperty(value = "交通状态 1畅通 2缓行 3拥堵", notes = "", required = false)
    private Integer status;
    @ApiModelProperty(value = "子区名称", notes = "", required = false)
    private String name;
    @ApiModelProperty(value = "拥堵类型：1常发性；2偶发性", notes = "", required = false)
    private Integer type;

    @ApiModelProperty(value = "所属区域ID", notes = "", required = false)
    private Integer areaId;
}
