package net.wanji.opt.entity.judgeanalysis;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

@Data
@EqualsAndHashCode(callSuper=false)
@TableName("t_base_cross_turn_info")
public class CrossTurnInfo {
    // 转向ID（路口ID_驶入方向_转向类型）
    private String id;

    // 转向类型：u掉头；l左转；s直行；r右转；
    private String turnType;

    // 驶入方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北
    private Integer inDir;

    // 驶出方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北
    private Integer outDir;

    // 路口ID
    private String crossId;

    // 创建时间
    private Date gmtCreate;

    // 修改时间
    private Date gmtModified;
}
