package net.wanji.opt.entity.report;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;

import java.time.LocalTime;

@Data
@TableName("t_config_peak_hours")
public class ConfigPeakHours {

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id; // 主键ID

    private Integer cityCode; // 城市代码

    private Integer dayType; // 类型：1工作日 2节假日 3特殊日期

    private Integer peakType; // 高峰类型 1早高峰 2晚高峰 3全天

    private String startTime; // 高峰开始时间

    private String endTime; // 高峰结束时间
}