package net.wanji.opt.entity.report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "CrossRidLaneDTO", description = "路口-车道基础信息-方向 转向 车道")
public class CrossRidLaneDTO {
    @ApiModelProperty(value = "路口id" )
    private String crossId;
    @ApiModelProperty(value = "路口名称" )
    private String crossName;
    @ApiModelProperty(value = "路口类型：1丁字口； 2十字口；3环岛；4畸形口；5立体交叉口；6铁路道口；7其他 " )
    private Integer type;
    @ApiModelProperty(value = "路口坐标" )
    private String location;
    @ApiModelProperty(value = "车道方向" )
    private Integer dir;
    @ApiModelProperty(value = "车道转向：1左转；2直行；3右转；4掉头；5直左；6直右；7左直右；8左右；9左转掉头；10直行掉头；11右转掉头；12左直掉头；13直右掉头；14左直右掉头；15左右掉头" )
    private Integer turn;
    @ApiModelProperty(value = "车道名称" )
    private String laneName;
    @ApiModelProperty(value = "驶出方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北" )
    private Integer outDir;
    @ApiModelProperty(value = "驶入方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北" )
    private Integer inDir;

}
