package net.wanji.opt.entity.report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(value = "GreenWaveCrossRidInfoVO", description = "干线信息")
public class GreenWaveCrossRidInfoVO {
    // 主表 t_greenwave_info 字段
    @ApiModelProperty(value = "绿波干线id")
    private Integer id; // a.id
    @ApiModelProperty(value = "干线名称")
    private String greenwaveName; // a.name AS greenwave_name
    @ApiModelProperty(value = "干线方向")
    private String greenDir; // a.name AS greenwave_name
    @ApiModelProperty(value = "干线方向")
    private String greenDirName; // a.name AS greenwave_name
    @ApiModelProperty(value = "干线长度")
    private String length; // a.name AS greenwave_name

    @ApiModelProperty(value = "信控路口数量")
    private Integer signalCross; // c.is_signal

    // 表 t_base_rid_info 字段
    @ApiModelProperty(value = "车道等级")
    private Integer level; // d.level
    @ApiModelProperty(value = "车道等级名称")
    private String levelName; // d.level
    @ApiModelProperty(value = "路段id")
    private String rid; // d.id AS rid

    @ApiModelProperty(value = "全部车道数")
    private Integer allLaneCount;

    @ApiModelProperty(value = "全部路口")
    List<GreenWaveCrossRidInfo> greenWaveCrossRidInfoList;
}
