package net.wanji.opt.entity.strategy;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
/*
策略参数场景参数配置
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class StrategyPriorityParamter {



    /**
     * 主键
     */
    private Long id;

    /**
     * 参数中文名
     */
    private String paramCN;

    /**
     * 参数英文名
     */
    private String paramEN;

    /**
     * 数据类型
     */
    private String dataType;


    /**
     * 参数说明
     */
    private String description;

    /**
     * 阈值范围
     */
    private String threshold;
    /**
     * 参数值
     */
    private String value;

    /**
     * 参数场景配置选择的数组ID
     */
    private String arrayId;

    /**
     * type:1：参数配置，2：场景配置
     */
    private String type;


}
