package net.wanji.opt.entity.strategy;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.util.List;

/*
策略日计划配置详情
 */
@Data
@EqualsAndHashCode(callSuper = false)
@NoArgsConstructor
@AllArgsConstructor
public class StrategyPriorityPlanDetails {

    /**
     * 主键
     */
    private Long id;


    /**
     * 开始时间前端用
     */
    private String start;

    /**
     * 结束时间前端用
     */
    private String end;

    /**
     * 开始结束时间
     */
    private List<String> times;
    /**
     * 组ID
     */
    private Integer groupId;

    /**
     * 场景
     */
    private String content;
}
