package net.wanji.opt.entity.strategy;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.util.List;
/*
策略调度参数
 */
@Data
@EqualsAndHashCode(callSuper = false)
@NoArgsConstructor
@AllArgsConstructor
public class StrategySchedulingItem {

    /**
     * 参数中文名
     */
    private String paramCN;

    /**
     * 参数英文名
     */
    private String paramEN;

    /**
     * 阈值范围
     */
    private String threshold;

    /**
     * 运算符
     */
    private String operator;


    /**
     * 逻辑关系 ||,&&
     */
    private String logical;

    /**
     * 参数值
     */
    private String paramValue;

    /**
     * 数据类型
     */
    private String dataType;

}
