package net.wanji.opt.entity.strategy;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.util.List;
/*
策略调度启动停止参数
 */
@Data
@EqualsAndHashCode(callSuper = false)
@NoArgsConstructor
@AllArgsConstructor
public class StrategySchedulingParam {
    /*
     * 策略启动控制参数
     * */
    private List<StrategySchedulingItem> start;
    /*
     * 策略停止控制参数
     * */
    private List<StrategySchedulingItem> end;
}
