package net.wanji.opt.entity.syslog;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper=false)
@TableName("t_signal_command_log")
public class SysOptimizeLog implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 路口ID
     */
    private String crossId;

    /**
     * 路口名称
     */
    private String name;

    /**
     * IP地址
     */
    private String ip;

    /**
     * 写入时间
     */
    private String inserTime;

    /**
     * 操作人
     */
    private String operateUser;

    /**
     * 操作内容
     */
    private String commandType;

    /**
     * 操作结果
     */
    private String commandResult;

    /**
     * 请求时间
     */
    private String queryTime;

    /**
     * 请求信息
     */
    private String dataInfo;
}
