package net.wanji.opt.servicev2.judgeanalysis;

import net.wanji.opt.entity.judgeanalysis.AnalysisProblemCrossDirHour;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.text.ParseException;
import java.util.List;
import java.util.Map;

/**
* <p>
* 路口方向按小时粒度问题分析 服务类
* </p>
*
* @author fengyi
* @since 2025-03-20
*/
public interface AnalysisProblemCrossDirHourService extends IService<AnalysisProblemCrossDirHour> {

    /**
    * 路口方向按小时粒度问题分析详情
    * @param id
    * @return
    */
    AnalysisProblemCrossDirHour info(Long id);

    /**
    * 路口方向按小时粒度问题分析新增
    * @param param 根据需要进行传值
    * @return
    */
    void add(AnalysisProblemCrossDirHour param);

    /**
    * 路口方向按小时粒度问题分析修改
    * @param param 根据需要进行传值
    * @return
    */
    void modify(AnalysisProblemCrossDirHour param);

    /**
    * 路口方向按小时粒度问题分析删除(单个条目)
    * @param id
    * @return
    */
    void remove(Long id);

    /**
    * 删除(多个条目)
    * @param ids
    * @return
    */
    void removes(List<Long> ids);

    Map<String, Object> directionByProblemTrend(String crossId, String eventType, Integer startTime, Integer endTime) throws ParseException;

    Map<String, Object> crossingHappyByProblemTrend(String crossId,String eventType, Integer startTime, Integer endTime)throws Exception;

    void insertCorssOverFlowData();
}
