package net.wanji.opt.servicev2.report;

import net.wanji.opt.entity.report.AnalysisGreenWaveOptimizeWeek;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;
import net.wanji.opt.vo2.report.GreenWaveOptimizeAnalysisResultResponseDTO;
import net.wanji.opt.vo2.report.ImportGreenReportAnalysisResponseVO;

import java.util.List;

/**
* <p>
*  服务类
* </p>
*
* @author fengyi
* @since 2025-04-09
*/
public interface AnalysisGreenWaveOptimizeWeekService extends IService<AnalysisGreenWaveOptimizeWeek> {

    /**
    * 详情
    * @param id
    * @return
    */
    AnalysisGreenWaveOptimizeWeek info(Long id);

    /**
    * 新增
    * @param param 根据需要进行传值
    * @return
    */
    void add(AnalysisGreenWaveOptimizeWeek param);

    /**
    * 修改
    * @param param 根据需要进行传值
    * @return
    */
    void modify(AnalysisGreenWaveOptimizeWeek param);

    /**
    * 删除(单个条目)
    * @param id
    * @return
    */
    void remove(Long id);

    /**
    * 删除(多个条目)
    * @param ids
    * @return
    */
    void removes(List<Long> ids);

    GreenWaveOptimizeAnalysisResultResponseDTO getTotalityData(Integer year, Integer week, String ids);

    List<ImportGreenReportAnalysisResponseVO> getProblemDetail(Integer year, Integer week, String ids);
}
