package net.wanji.opt.servicev2.report;

import net.wanji.opt.entity.report.AnalysisReportCrossOptimizeDetail;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
* <p>
*  服务类
* </p>
*
* @author fengyi
* @since 2025-04-14
*/
public interface AnalysisReportCrossOptimizeDetailService extends IService<AnalysisReportCrossOptimizeDetail> {

    /**
    * 详情
    * @param id
    * @return
    */
    AnalysisReportCrossOptimizeDetail info(Long id);

    /**
    * 新增
    * @param param 根据需要进行传值
    * @return
    */
    void add(AnalysisReportCrossOptimizeDetail param);

    /**
    * 修改
    * @param param 根据需要进行传值
    * @return
    */
    void modify(AnalysisReportCrossOptimizeDetail param);

    /**
    * 删除(单个条目)
    * @param id
    * @return
    */
    void remove(Long id);

    /**
    * 删除(多个条目)
    * @param ids
    * @return
    */
    void removes(List<Long> ids);
}
