package net.wanji.opt.servicev2.report.impl;

import net.wanji.opt.entity.report.AnalysisReportCrossOptimizeDetail;
import net.wanji.opt.dao.mapper.report.AnalysisReportCrossOptimizeDetailMapper;
import net.wanji.opt.servicev2.report.AnalysisReportCrossOptimizeDetailService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;
import javax.annotation.Resource;
import java.util.List;

/**
* <p>
*  服务实现类
* </p>
*
* @author fengyi
* @since 2025-04-14
*/
@Service
 public class AnalysisReportCrossOptimizeDetailServiceImpl extends ServiceImpl<AnalysisReportCrossOptimizeDetailMapper, AnalysisReportCrossOptimizeDetail> implements AnalysisReportCrossOptimizeDetailService {

	 @Resource
	 private AnalysisReportCrossOptimizeDetailMapper analysisReportCrossOptimizeDetailMapper;

	
	 /**
	 * 详情
	 * @param id
	 * @return
	 */
	 @Override
	 public AnalysisReportCrossOptimizeDetail info(Long id) {
	
	 	return getById(id);
	 }
	
	 /**
	 * 新增
	 * @param param 根据需要进行传值
	 * @return
	 */
	 @Override
	 public void add(AnalysisReportCrossOptimizeDetail param) {
	
	 	save(param);
	 }
	
	 /**
	 * 修改
	 * @param param 根据需要进行传值
	 * @return
	 */
	 @Override
	 public void modify(AnalysisReportCrossOptimizeDetail param) {
	
	 	updateById(param);
	 }
	
	 /**
	 * 删除(单个条目)
	 * @param id
	 * @return
	 */
	 @Override
	 public void remove(Long id) {
	 	removeById(id);
	 }
	
	 /**
	 * 删除(多个条目)
	 * @param ids
	 * @return
	 */
	 @Override
	 public void removes(List<Long> ids) {
	
	 	removeByIds(ids);
	 }
	 }
