package net.wanji.opt.vo2;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author duanruiming
 * @date 2025/03/06 16:55
 */
@Data
@ApiModel(value = "CrossGreenStatusTimeRateVO", description = "态势监测-区域体检-雷达图返回")
public class CrossGreenStatusTimeRateVO {
    @ApiModelProperty(value = "事件类型")
    private String type;
    @ApiModelProperty(value = "事件次数")
    private Integer count;
    @ApiModelProperty(value = "持续时间")
    private Integer time;
    @ApiModelProperty(value = "当天时间秒数")
    private Integer totalTime;
}
