package net.wanji.opt.vo2;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "CrossStatusDistributionVO", description = "监测详情-路口事件详情-路口状态分布")
public class CrossStatusDistributionVO {
    @ApiModelProperty(value = "平均速度")
    private Double speed;
    @ApiModelProperty(value = "排队长度")
    private Integer queueLength;
    @ApiModelProperty(value = "平均延误")
    private Integer delayTime;
    @ApiModelProperty(value = "平均停车次数")
    private Double stopTimes;
    @ApiModelProperty(value = "时间")
    private String startTime;
    @ApiModelProperty(value = "车道号", notes = "")
    private Integer laneNo;
    @ApiModelProperty(value = "方向", notes = "")
    private Integer dirType;
    @ApiModelProperty(value = "方向描述", notes = "")
    private String  dirTypeName;
    @ApiModelProperty(value = "转向功能", notes = "")
    private Integer turnType;
    @ApiModelProperty(value = "转向功能描述", notes = "")
    private String turnTypeName;
    @ApiModelProperty(value = "交通流量")
    private Integer flow;
}
