package net.wanji.opt.vo2;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.opt.vo2.dto.GreenOptDTO;

import java.util.List;

/**
 * @author duanruiming
 * @date 2025/03/11 10:18
 */
@Data
@ApiModel(value = "GreenOptInfoVO", description = "态势监测-区域体检-绿波优化列表")
public class GreenOptInfoVO {
    @ApiModelProperty(value = "绿波编号")
    private Integer greenId;
    @ApiModelProperty(value = "绿波编号")
    private String greenName;
    @ApiModelProperty(value = "绿波详情列表")
    private List<GreenOptDTO> details;
}
