package net.wanji.opt.vo2;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author duanruiming
 * @date 2025/03/24 14:56
 */
@Data
@ApiModel(value = "OptStrategyResultInfoVO", description = "态势监测-策略推荐-优化策略-返回实体")
public class OptStrategyResultInfoVO {
    @ApiModelProperty(value = "当前策略名称")
    private String curStrategyName;
    @ApiModelProperty(value = "当前策略编号")
    private Integer curOptType;
    private List<Detail> details;

    @Data
    public static class Detail {
        @ApiModelProperty(value = "策略名称")
        private String strategyName;
        @ApiModelProperty(value = "策略编号")
        private Integer optType;
    }
}
