package net.wanji.opt.vo2;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author duanruiming
 * @date 2025/03/12 20:08
 */
@Data
@ApiModel(value = "StatisticsEventTypeCountTimeVO", description = "态势监测-区域体检-雷达图过滤返回实体")
public class StatisticsEventTypeCountTimeVO {
    @ApiModelProperty(value = "编号")
    private String id;
    @ApiModelProperty(value = "名称")
    private String name;
    @ApiModelProperty(value = "经纬度")
    private String wkt;
    @ApiModelProperty(value = "事件类型")
    private String type;
    @ApiModelProperty(value = "事件描述, 溢出次数")
    private String typeDesc;
    @ApiModelProperty(value = "次数")
    private Integer count;
    @ApiModelProperty(value = "持续时间")
    private Integer duration;
    @ApiModelProperty(value = "同比比例，上一周同一时间次数比例")
    private Integer countRate;
    @ApiModelProperty(value = "同比比例，上一周同一持续时间次数比例")
    private Integer durationRate;
    @ApiModelProperty(value = "发生时间")
    private String startTime;
    @ApiModelProperty(value = "绿波带方向")
    private String greenDir;

}
