package net.wanji.opt.vo2;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel(value = "TrunkLineStatusDisInfoVO", description = "监测详情-干线事件详情-干线交通状态分布趋势")
public class TrunkLineStatusDisInfoVO {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "行程速度")
    private Double speed;
    @ApiModelProperty(value = "行程时间")
    private Double travelTime;
    @ApiModelProperty(value = "平均延误")
    private Double delayTime;
    @ApiModelProperty(value = "停车次数")
    private Double stopTimes;
    @ApiModelProperty(value = "方向")
    private String direction;
    @ApiModelProperty(value = "绿波id")
    private String greenId;
    @ApiModelProperty(value = "时间")
    private String startTime;
}
