package net.wanji.opt.vo2.report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(value = "CrossRidLaneResult", description = "路口-车道基础信息-方向 转向 车道")
public class CrossRidLaneResult {
    @ApiModelProperty(value = "路口id" )
    private String crossId;
    @ApiModelProperty(value = "路口名称" )
    private String crossName;
    @ApiModelProperty(value = "路口类型：丁字口，.." )
    private String type;
    @ApiModelProperty(value = "路口坐标" )
    private String location;
    @ApiModelProperty(value = "车道方向" )
    private List<CrossRidLaneVO> crossRidLaneList;

}
