package net.wanji.opt.vo2.report;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class CrossRunStateDetailAnalysisDataDTO {

    @ApiModelProperty(value = "路口名称", example = "经十路（舜耕路-山大路）",position =1)
    private String crossName;

    @ApiModelProperty(value = "本周高峰最大小时流量", example = "8900",position = 2)
    private Integer thisWeekPeakMaxFlow;
    @ApiModelProperty(value = "上周高峰最大小时流量", example = "8900",position  =3)
    private Integer lastWeekPeakMaxFlow;

    @ApiModelProperty(value = "本周周末最大小时流量", example = "8900",position = 4)
    private Integer thisWeekEndMaxFlow;
    @ApiModelProperty(value = "上周周末最大小时流量", example = "8900",position = 5)
    private Integer lastWeekEndMaxFlow;

    @ApiModelProperty(value = "本周工作日早高峰交通指数", example = "4.0",position = 5)
    private Double thisWeekWorkDayAmTrafficIndex;
    @ApiModelProperty(value = "上周周工作日早高峰交通指数", example = "3.5",position = 6)
    private Double lastWeekWorkDayAmTrafficIndex;

    @ApiModelProperty(value = "本周工作日晚高峰交通指数", example = "3.5",position = 7)
    private Double thisWeekWorkDayPmTrafficIndex;
    @ApiModelProperty(value = "上周周工作日晚高峰交通指数", example = "4.5",position = 8)
    private Double lastWeekWorkDayPmTrafficIndex;

}