package net.wanji.opt.vo2.report;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class GreenReportProblemDetailVO {

    @ApiModelProperty(value = "星期", example = "周一")
    private String week;
    @ApiModelProperty(value = "问题时段", example = "7:35~8:40")
    private String problemSpan;
    @ApiModelProperty(value = "状态：缓行/拥堵", example = "拥堵")
    private String status;

    @ApiModelProperty(value = "拥堵指数", example = "4.5")
    private Double congestIndex;

    @ApiModelProperty(value = "平均速度", example = "10")
    private Double avgSpeed;

    @ApiModelProperty(value = "行程时间，单位分钟", example = "10")
    private Integer travelTime;

}